Main Page Modules Data Structures File List Data Fields Globals Related Pages

# tools/rpmgraph.c File Reference

`#include "system.h"`
`#include <rpmcli.h>`
`#include "rpmdb.h"`
`#include "rpmps.h"`
`#include "rpmte.h"`
`#include "rpmts.h"`
`#include "manifest.h"`
`#include "misc.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | _RPMTS_INTERNAL
## Functions
const char *const | identifyDepend (int_32 f)
int | rpmGraph (rpmts ts, struct rpmInstallArguments_s *ia, const char **fileArgv)
int | main (int argc, char *const argv[])
## Variables
int | noDeps = 1
int | noChainsaw = 0
rpmVSFlags | vsflags = 0
poptOption | optionsTable []

## Define Documentation

#define _RPMTS_INTERNAL

| Definition at line 10 of file rpmgraph.c.

## Function Documentation

const char* const identifyDepend | ( | int_32 | f | ) | `[inline, static]`

| Definition at line 22 of file rpmgraph.c. References _notpre, int_32, isLegacyPreReq, RPMSENSE_FIND_REQUIRES, RPMSENSE_SCRIPT_POST, RPMSENSE_SCRIPT_POSTUN, RPMSENSE_SCRIPT_PRE, RPMSENSE_SCRIPT_PREUN, and RPMSENSE_SCRIPT_VERIFY. Referenced by zapRelation.

int main | ( | int | argc,
|  | char *const | argv[]
| ) |

| Definition at line 291 of file rpmgraph.c. References _RPMVSF_NODIGESTS, _RPMVSF_NOSIGNATURES, EXIT_FAILURE, optionsTable, poptGetArgs, rpmcliFini, rpmcliInit, rpmcliQueryFlags, rpmGraph, rpmIArgs, rpmts, rpmtsCreate, rpmtsFree, rpmtsSetVSFlags, RPMVSF_NOHDRCHK, and vsflags.

int rpmGraph | ( | rpmts | ts,
|  | struct rpmInstallArguments_s * | ia,
|  | const char ** | fileArgv
| ) | `[static]`

| Definition at line 44 of file rpmgraph.c. References _, _free, _RPMVSF_NODIGESTS, _RPMVSF_NOSIGNATURES, alloca, Fclose, Ferror, Fopen, Fstrerror, headerFree, noChainsaw, noDeps, rpmGlob, rpmpsFree, rpmpsNumProblems, rpmpsPrint, rpmRC, RPMRC_FAIL, RPMRC_NOTFOUND, RPMRC_OK, rpmReadPackageFile, rpmReadPackageManifest, rpmte, rpmteDepth, rpmteN, rpmteParent, rpmteTree, RPMTRANS_FLAG_CHAINSAW, rpmts, rpmtsAddInstallElement, rpmtsCheck, rpmtsFlags, rpmtsi, rpmtsiFree, rpmtsiInit, rpmtsiNext, rpmtsNElements, rpmtsOrder, rpmtsProblems, rpmtsSetFlags, rpmtsSetVSFlags, rpmVSFlags, TR_ADDED, urlPath, vsflags, and xrealloc. Referenced by main.

## Variable Documentation

int noChainsaw = 0`[static]`

| Definition at line 18 of file rpmgraph.c. Referenced by rpmGraph.

int noDeps = 1`[static]`

| Definition at line 17 of file rpmgraph.c. Referenced by rpmGraph.

struct poptOption optionsTable[]`[static]`

| Initial value:
     {
     { "check", '\0', POPT_ARG_VAL|POPT_ARGFLAG_DOC_HIDDEN, &noDeps, 0,
             "don't verify package dependencies" , NULL },
     { "nolegacy", '\0', POPT_BIT_SET,      &vsflags, RPMVSF_NEEDPAYLOAD,
             "don't verify header+payload signature" , NULL },

     { "nochainsaw", '\0', POPT_ARGFLAG_DOC_HIDDEN, &noChainsaw, 0,
            NULL, NULL},

     { NULL, '\0', POPT_ARG_INCLUDE_TABLE, rpmcliAllPoptTable, 0,
             "Common options for all rpm modes and executables:" ,
            NULL },

       POPT_AUTOALIAS
       POPT_AUTOHELP
       POPT_TABLEEND
    }
Definition at line 272 of file rpmgraph.c. Referenced by main.

rpmVSFlags vsflags = 0`[static]`

| Definition at line 20 of file rpmgraph.c. Referenced by main, and rpmGraph.